Summary: A terminal program for displaying Unicode on the console.
Name: bogl
Version: 0.1.18
Release: 13%{?dist}
# URL: used to be http://www.stanford.edu/~blp/projects.html, now none
Source0: http://ftp.debian.org/debian/pool/main/b/bogl/bogl_0.1.18-1.2.tar.gz
Source1: wlite-0.8.1.tar.gz
Source2: 14x14cjk.bdf.gz
Patch0: bogl-0.1.18-1.1.sigchld.patch
Patch1: bogl-0.1.18-1.1.rh.patch
Patch2: bogl-0.1.9-fpic.patch
Patch3: bogl-0.1.9-2.6fbdev.patch
Patch4: bogl-0.1.18-noexecstack.patch
Patch5: bogl-0.1.18-1.2.page_size.patch
Patch6: bogl-0.1.18-negative_yorig.patch
Epoch: 0
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gd-devel, libpng-devel

%description
BOGL stands for Ben's Own Graphics Library.  It is a small graphics
library for Linux kernel frame buffers.  It supports only very simple
graphics.

%package devel
Summary: Development files required to build BOGL applications.
Group: Development/Libraries
Requires: bogl = %{epoch}:%{version}-%{release}

%description devel
The bogl-devel package contains the static libraries and header files
for writing BOGL applications.

%package bterm
Summary: A Unicode capable terminal program for the Linux frame buffer.
Group: Applications/System
Requires: bogl = %{epoch}:%{version}-%{release}

%description bterm
The bterm application is a terminal emulator that displays to a Linux
frame buffer.  It is able to display Unicode text on the console.

%prep
%setup -q -n bogl-0.1.18 -a 1
%patch0 -p1 -b .sigchld
%patch1 -p1 -b .rh
%patch2 -p1 -b .fpic
%patch3 -p1 -b .26fbdev
%patch4 -p1 -b .noexecstack
%patch5 -p1 -b .page_size
%patch6 -p1 -b .negative_yorig

%build
make CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
gunzip -c %{SOURCE2} > font.bdf
./bdftobogl -b font.bdf > font.bgf

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT libdir=%{_libdir} install
make -C wlite prefix=$RPM_BUILD_ROOT/%{_prefix} libdir=$RPM_BUILD_ROOT/%{_libdir} install
if [ -f wlite/libwlitediet.a ]; then
    install -m 644 wlite/libwlitediet.a $RPM_BUILD_ROOT/%{_libdir}
fi
mkdir -p $RPM_BUILD_ROOT/usr/lib/bogl/
cp font.bgf $RPM_BUILD_ROOT/usr/lib/bogl/
cp font.bdf $RPM_BUILD_ROOT/usr/lib/bogl/
gzip -9 $RPM_BUILD_ROOT/usr/lib/bogl/font.bdf
gzip -9 $RPM_BUILD_ROOT/usr/lib/bogl/font.bgf

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README wlite/LICENSE.gnu.org wlite/LICENSE.unicode.org
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/bdftobogl
%{_bindir}/mergebdf
%{_bindir}/pngtobogl
%{_bindir}/reduce-font
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/bogl
%{_includedir}/wlite*

%files bterm
%defattr(-,root,root)
%doc README.BOGL-bterm
%{_bindir}/bterm
%dir %{_datadir}/terminfo/b
%{_datadir}/terminfo/b/bterm
/usr/lib/bogl

%changelog
* Tue Nov  3 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 0:0.1.18-13
- Add -fno-strict-aliasing to the compiler flags

* Mon Nov  2 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 0:0.1.18-12
- Fix SIGSEGV when term->yorig is not correct
  Resolves: #517957

* Tue Oct 17 2006 Miloslav Trmac <mitr@redhat.com> - 0:0.1.18-11.2.1.el5.1
- Rebuild for RHEL 5
- Use sysconf(_SC_PAGE_SIZE) instead <asm/param.h> to fix build on IA-64

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:0.1.18-11.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0:0.1.18-11.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Sep 22 2005 Miloslav Trmac <mitr@redhat.com> - 0:0.1.18-11
- Update to bogl-0.1.18-1.2

* Tue Sep 20 2005 Miloslav Trmac <mitr@redhat.com> - 0:0.1.18-10
- Simplify overzealous bogl-0.1.18-1.1.sigchld.patch

* Tue Sep 20 2005 Miloslav Trmac <mitr@redhat.com> - 0:0.1.18-9
- Update to bogl-0.1.18-1.1
- Don't ship unused ucs fonts in the SRPM
- Remove obsolete URL: (#168673)

* Sun Sep 18 2005 Miloslav Trmac <mitr@redhat.com> - 0:0.1.18-8
- Ship wlite and Unicode data licenses, and Changelog

* Fri Mar  4 2005 Miloslav Trmac <mitr@redhat.com> - 0:0.1.18-7
- Add missing includes in bogl-0.1.18-rh.patch
- Rebuild with gcc 4

* Thu Feb 17 2005 Miloslav Trmac <mitr@redhat.com> - 0:0.1.18-6
- Don't require executable stack
- Fix build with gcc 4
- Use $RPM_OPT_FLAGS

* Tue Nov 23 2004 Jeremy Katz <katzj@redhat.com> - 0:0.1.18-5
- don't build against dietlibc anymore on x86

* Wed Oct 20 2004 Jeremy Katz <katzj@redhat.com> - 0:0.1.18-4
- rebuild again

* Tue Oct 19 2004 Jeremy Katz <katzj@redhat.com> - 0:0.1.18-3
- rebuild against newer diet with fixed signal handling

* Mon Sep  6 2004 Jeremy Katz <katzj@redhat.com> - 0:0.1.18-2
- fPIC on ppc too (#130719)

* Mon Jul 05 2004 Akira TAGOH <tagoh@redhat.com> 0:0.1.18-1
- New upstream release.
  #113910 has been fixed in this release.
- bogl-0.1.18-rh.patch: updated to be able to apply it for this release.
- bogl-0.1.9-vga16-others.patch: removed. no need this patch anymore.

* Fri Jun 18 2004 Jeremy Katz <katzj@redhat.com> - 0:0.1.9-33
- fix build with gcc 3.4

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 18 2004 Jeremy Katz <katzj@redhat.com> - 0:0.1.9-31
- fix build

* Tue Feb 17 2004 Jeremy Katz <katzj@redhat.com> - 0:0.1.9-30
- fix to work with changed 2.6 fbdev semantics

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec 15 2003 Matt Wilson <msw@redhat.com> 0:0.1.9-28
- add BuildRequires: gd-devel, libpng-devel (#111165)

* Mon Aug 25 2003 Jeremy Katz <katzj@redhat.com> 0:0.1.9-27
- add hack to fix #92240

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 30 2003 Matt Wilson <msw@redhat.com> 0:0.1.9-25
- rebuild

* Fri May 30 2003 Matt Wilson <msw@redhat.com> 0:0.1.9-24
- enable vga16 support on ia64
- removed workaround for AMD64, kernel should be fixed now

* Tue May 06 2003 Phil Knirsch <pknirsch@redhat.com>  0:0.1.9-23
- Bumped release and rebuilt due to new gd version.

* Wed Apr  2 2003 Matt Wilson <msw@redhat.com> 0:0.1.9-22
- add a workaround for AMD64 that calls iopl(3) in order to gain io
  port access until ioperm() is fixed (#87835).  Workaround for
  (#86321)
- gzip font.bgf

* Wed Mar 19 2003 Jeremy Katz <katzj@redhat.com> 0:0.1.9-21
- include vga16fb support on x86_64 (#86321)

* Thu Feb 13 2003 Adrian Havill <havill@redhat.com> 0:0.1.9-20
- Change the font combo to add zh, change ja to k14 (#81717, #82888)

* Tue Feb 11 2003 Jeremy Katz <katzj@redhat.com> 0:0.1.9-19
- actually do the test correctly
- buildrequire dietlibc on i386

* Tue Feb 11 2003 Jeremy Katz <katzj@redhat.com> 0:0.1.9-18
- only fPIC on needed arches, and do it everywhere

* Mon Feb 10 2003 Matt Wilson <msw@redhat.com> 0:0.1.9-17
- always use wlite for bogl/bterm (for now) (#83980)
  (this makes bterm useless for any non-UTF-8 locale)
- fixed 'bterm' for the normal usage case

* Mon Feb  3 2003 Matt Wilson <msw@redhat.com> 0:0.1.9-16
- add back the Epoch: to support upgrading from betas

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 30 2002 Jeremy Katz <katzj@redhat.com> 0.1.9-14
- build wlite with -fPIC
- fix deps of subpackages

* Sun Dec 29 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- delete "Epoch: 0" line in spec file

* Mon Dec 16 2002 Adrian Havill <havill@redhat.com> 0.1.9-12
- added bogl.bdf.gz to allow us to reduce-font in loader build

* Mon Dec 16 2002 Adrian Havill <havill@redhat.com> 0.1.9-11
- fixed broken reduce-font to test ENCODING x instead of STARTCHAR x

* Mon Dec 16 2002 Matt Wilson <msw@redhat.com> 0.1.9-10
- made more changes to the rh patch to enable bogl embedding insode loader

* Tue Dec 10 2002 Matt Wilson <msw@redhat.com>
- use all fb drivers on non-i386
- package wlite for use in loader
- use %%{_libdir} to get lib64 right

* Mon Dec 10 2002 Adrian Havill <havill@redhat.com>
- swapped out utf8 code with new and improved wlite

* Tue Nov 26 2002 Adrian Havill <havill@redhat.com>
- re-write font loader so it can load uncompressed or gzipped files
- utf8 lib updated
- fixed bug in bogl_term_new() so struct is inited (s/malloc/calloc/)
- added term bell (screen flash)
- changed background/foreground to pretty pretty blue/white

* Thu Nov 21 2002 Adrian Havill <havill@redhat.com>
- updated utf8 library
- made bogl_term_out reset the state at every call so glibc
  and utf8.c behave consistently
- concatenated two Red Hat diff patches

* Wed Nov 20 2002 Adrian Havill <havill@redhat.com>
- changed behavior of bogl_term_out to queue and save UTF broken between two
  buffers
- utf8 lib improvements

* Thu Nov 14 2002 root <msw@redhat.com>
- integrate havill's utf8 for diet libs
- build and install font

* Tue Jul 23 2002 Matt Wilson <msw@redhat.com>
- Initial build.
